Subject: bug#28597: 26.0.60; [Security] Configure should use --without-pop by default

From: John Wiegley <[email-masked]>
Date: Mon, 25 Sep 2017 08:21:40 -0700

>>>>> "NJ" == N Jackson <[email-masked]> writes:

NJ> Configure issues the following warning:
NJ>   configure: WARNING: This configuration installs a 'movemail' program
NJ>   that retrieves POP3 email via only insecure channels.
NJ>   To omit insecure POP3, you can use './configure --without-pop'.

NJ> If the warning is true, then --without-pop should be the default, and
NJ> users should have to explicitly request an insecure Emacs with --with-pop.

You are requesting a change in behavior that is exceedingly old, so I would
like to hear from others what they think about making a change like this.
Given how much less of a thing POP is becoming over the years, I'd be in favor
of changing the default here.

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2